- Main Page
- Data Structures
- Files

- File List
- Globals

# jasperserver/repository.h File Reference

`#include "stringbuffer.h"`

Go to the source code of this file.

## Data Structures
struct | jasperserver_server
| This struct is used to hold connection information. More...
struct | jasperserver_resource_property
struct | jasperserver_parameter
| This struct is used to store a porameter. More...
struct | jasperserver_resource_descriptor
| This struct is used to store a resource_descriptor. More...
struct | jasperserver_request
| This struct is used to store a request. More...
struct | jasperserver_operation_result
| This struct is used to store the result of a service execution. More...
struct | jasperserver_list
| This structure is used to cast other struct having a next field as first pointer. More...
## Defines
#define | JS_TYPE_FOLDER "folder"
#define | JS_TYPE_REPORTUNIT "reportUnit"
#define | JS_TYPE_DATASOURCE "datasource"
#define | JS_TYPE_DATASOURCE_JDBC "jdbc"
#define | JS_TYPE_DATASOURCE_JNDI "jndi"
#define | JS_TYPE_DATASOURCE_BEAN "bean"
#define | JS_TYPE_IMAGE "img"
#define | JS_TYPE_FONT "font"
#define | JS_TYPE_JRXML "jrxml"
#define | JS_TYPE_CLASS_JAR "jar"
#define | JS_TYPE_RESOURCE_BUNDLE "prop"
#define | JS_TYPE_REFERENCE "reference"
#define | JS_TYPE_INPUT_CONTROL "inputControl"
#define | JS_TYPE_DATA_TYPE "dataType"
#define | JS_TYPE_OLAP_MONDRIAN_CONNECTION "olapMondrianCon"
#define | JS_TYPE_OLAP_XMLA_CONNECTION "olapXmlaCon"
#define | JS_TYPE_MONDRIAN_SCHEMA "olapMondrianSchema"
#define | JS_TYPE_XMLA_CONNTCTION "xmlaConnection"
#define | JS_TYPE_UNKNOW "unknow"
#define | JS_TYPE_LOV "lov"
#define | JS_TYPE_QUERY "query"
#define | JS_DT_TYPE_TEXT 1
#define | JS_DT_TYPE_NUMBER 2
#define | JS_DT_TYPE_DATE 3
#define | JS_DT_TYPE_DATE_TIME 4
#define | JS_IC_TYPE_BOOLEAN 1
#define | JS_IC_TYPE_SINGLE_VALUE 2
#define | JS_IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES 3
#define | JS_IC_TYPE_SINGLE_SELECT_QUERY 4
#define | JS_IC_TYPE_MULTI_VALUE 5
#define | JS_IC_TYPE_MULTI_SELECT_LIST_OF_VALUES 6
#define | JS_IC_TYPE_MULTI_SELECT_QUERY 7
#define | JS_IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO 8
#define | JS_IC_TYPE_SINGLE_SELECT_QUERY_RADIO 9
#define | JS_IC_TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX 10
#define | JS_IC_TYPE_MULTI_SELECT_QUERY_CHECKBOX 11
#define | JS_PROP_VERSION "PROP_VERSION"
#define | JS_PROP_PARENT_FOLDER "PROP_PARENT_FOLDER"
#define | JS_PROP_RESOURCE_TYPE "PROP_RESOURCE_TYPE"
#define | JS_PROP_CREATION_DATE "PROP_CREATION_DATE"
#define | JS_PROP_REFERENCE_URI "PROP_REFERENCE_URI"
#define | JS_PROP_FILERESOURCE_HAS_DATA "PROP_HAS_DATA"
#define | JS_PROP_FILERESOURCE_IS_REFERENCE "PROP_IS_REFERENCE"
#define | JS_PROP_FILERESOURCE_REFERENCE_URI "PROP_REFERENCE_URI"
#define | JS_PROP_FILERESOURCE_WSTYPE "PROP_WSTYPE"
#define | JS_PROP_DATASOURCE_DRIVER_CLASS "PROP_DATASOURCE_DRIVER_CLASS"
#define | JS_PROP_DATASOURCE_CONNECTION_URL "PROP_DATASOURCE_CONNECTION_URL"
#define | JS_PROP_DATASOURCE_USERNAME "PROP_DATASOURCE_USERNAME"
#define | JS_PROP_DATASOURCE_PASSWORD "PROP_DATASOURCE_PASSWORD"
#define | JS_PROP_DATASOURCE_JNDI_NAME "PROP_DATASOURCE_JNDI_NAME"
#define | JS_PROP_DATASOURCE_BEAN_NAME "PROP_DATASOURCE_BEAN_NAME"
#define | JS_PROP_DATASOURCE_BEAN_METHOD "PROP_DATASOURCE_BEAN_METHOD"
#define | JS_PROP_RU_DATASOURCE_TYPE "PROP_RU_DATASOURCE_TYPE"
#define | JS_PROP_RU_IS_MAIN_REPORT "PROP_RU_IS_MAIN_REPORT"
#define | JS_PROP_RU_INPUTCONTROL_RENDERING_VIEW "PROP_RU_INPUTCONTROL_RENDERING_VIEW"
#define | JS_PROP_RU_REPORT_RENDERING_VIEW "PROP_RU_REPORT_RENDERING_VIEW"
#define | JS_PROP_DATATYPE_STRICT_MAX "PROP_DATATYPE_STRICT_MAX"
#define | JS_PROP_DATATYPE_STRICT_MIN "PROP_DATATYPE_STRICT_MIN"
#define | JS_PROP_DATATYPE_MIN_VALUE "PROP_DATATYPE_MIN_VALUE"
#define | JS_PROP_DATATYPE_MAX_VALUE "PROP_DATATYPE_MAX_VALUE"
#define | JS_PROP_DATATYPE_PATTERN "PROP_DATATYPE_PATTERN"
#define | JS_PROP_DATATYPE_TYPE "PROP_DATATYPE_TYPE"
#define | JS_PROP_LOV "PROP_LOV"
#define | JS_PROP_LOV_LABEL "PROP_LOV_LABEL"
#define | JS_PROP_LOV_VALUE "PROP_LOV_VALUE"
#define | JS_PROP_INPUTCONTROL_TYPE "PROP_INPUTCONTROL_TYPE"
#define | JS_PROP_INPUTCONTROL_IS_MANDATORY "PROP_INPUTCONTROL_IS_MANDATORY"
#define | JS_PROP_INPUTCONTROL_IS_READONLY "PROP_INPUTCONTROL_IS_READONLY"
#define | JS_PROP_QUERY "PROP_QUERY"
#define | JS_PROP_QUERY_VISIBLE_COLUMNS "PROP_QUERY_VISIBLE_COLUMNS"
#define | JS_PROP_QUERY_VISIBLE_COLUMN_NAME "PROP_QUERY_VISIBLE_COLUMN_NAME"
#define | JS_PROP_QUERY_VALUE_COLUMN "PROP_QUERY_VALUE_COLUMN"
#define | JS_PROP_QUERY_LANGUAGE "PROP_QUERY_LANGUAGE"
#define | JS_PROP_QUERY_DATA "PROP_QUERY_DATA"
#define | JS_PROP_QUERY_DATA_ROW "PROP_QUERY_DATA_ROW"
#define | JS_PROP_QUERY_DATA_ROW_COLUMN "PROP_QUERY_DATA_ROW_COLUMN"
#define | JS_PROP_XMLA_URI "PROP_XMLA_URI"
#define | JS_PROP_XMLA_CATALOG "PROP_XMLA_CATALOG"
#define | JS_PROP_XMLA_DATASOURCE "PROP_XMLA_DATASOURCE"
#define | JS_PROP_XMLA_USERNAME "PROP_XMLA_USERNAME"
#define | JS_PROP_XMLA_PASSWORD "PROP_XMLA_PASSWORD"
#define | JS_ARG_MODIFY_REPORTUNIT "MODIFY_REPORTUNIT_URI"
#define | JS_ARG_CREATE_REPORTUNIT "CREATE_REPORTUNIT_BOOLEAN"
#define | JS_ARG_LIST_DATASOURCES "LIST_DATASOURCES"
#define | JS_ARG_IC_GET_QUERY_DATA "IC_GET_QUERY_DATA"
#define | JS_ARG_VALUE_TRUE "true"
#define | JS_ARG_VALUE_FALSE "false"
#define | JS_ARG_RUN_OUTPUT_FORMAT "RUN_OUTPUT_FORMAT"
#define | JS_ARG_RUN_OUTPUT_FORMAT_PDF "PDF"
#define | JS_ARG_RUN_OUTPUT_FORMAT_JRPRINT "JRPRINT"
#define | JS_ARG_RUN_OUTPUT_FORMAT_HTML "HTML"
#define | JS_ARG_RUN_OUTPUT_FORMAT_XLS "XLS"
#define | JS_ARG_RUN_OUTPUT_FORMAT_XML "XML"
#define | JS_ARG_RUN_OUTPUT_FORMAT_CSV "CSV"
#define | JS_ARG_RUN_OUTPUT_FORMAT_RTF "RTF"
#define | JS_ARG_RUN_OUTPUT_IMAGES_URI "IMAGES_URI"
#define | JS_ARG_RUN_OUTPUT_PAGE "PAGE"
#define | JS_OPERATION_RUN_REPORT "runReport"
#define | JS_OPERATION_LIST "list"
#define | JS_OPERATION_PUT "put"
#define | JS_OPERATION_GET "get"
#define | JS_OPERATION_CHECK_DEPENDS "checkForDependentResources"
## Typedefs
typedef jasperserver_server | jasperserver_server_t
typedef jasperserver_resource_property | jasperserver_resource_property_t
typedef jasperserver_parameter | jasperserver_parameter_t
typedef jasperserver_parameter_t | jasperserver_list_item_t
typedef jasperserver_parameter_t | jasperserver_argument_t
typedef jasperserver_resource_descriptor | jasperserver_resource_descriptor_t
typedef jasperserver_request | jasperserver_request_t
typedef jasperserver_operation_result | jasperserver_operation_result_t
typedef jasperserver_list | jasperserver_list_t
## Functions
void | jasperserver_list_append (jasperserver_list_t **list, jasperserver_list_t *node)
| Append node at the end of the list pointed by list.
void | jasperserver_list_free (jasperserver_list_t *list, void(*freeFunc)(void *))
| This is a quick way to free an entire list of elements.
jasperserver_request_t * | jasperserver_request_new ()
| Instance a new request.
void | jasperserver_request_free (jasperserver_request_t *request)
| Free a request.
jasperserver_argument_t * | jasperserver_argument_new ()
| Instance a new argument.
void | jasperserver_argument_free (void *argument)
| Free an argument.
jasperserver_resource_descriptor_t * | jasperserver_resource_descriptor_new ()
| Instance a new resource_descriptor.
void | jasperserver_resource_descriptor_free (void *resource_descriptor)
| Free a resource_descriptor.
jasperserver_resource_property_t * | jasperserver_resource_property_new ()
| Instance a new resource_property.
void | jasperserver_resource_property_free (void *resource_property)
| Free a resource_property.
jasperserver_parameter_t * | jasperserver_parameter_new ()
| Instance a new parameter.
void | jasperserver_parameter_free (void *parameter)
| Free a parameter.
jasperserver_operation_result_t * | jasperserver_operation_result_new ()
| Instance a new operation_result.
void | jasperserver_operation_result_free (void *op_ptr)
| Free a operation_result.
jasperserver_server_t * | jasperserver_server_new ()
| Instance a new server.
void | jasperserver_server_free (void *op_ptr)
void | jasperserver_print_resource_descriptor (jasperserver_resource_descriptor_t *rd, int depth)
| Print a resource descriptor.
jasperserver_string_t * | jasperserver_get_property_value (jasperserver_resource_descriptor_t *resource, char *propName)
| Get the value of a property with name 'propName' from the resource 'resource' This funciont looks inside the resource descriptor passed as first parameter for a parameter called 'propName' and if found, return the property value.
jasperserver_resource_property_t * | jasperserver_get_property (jasperserver_resource_descriptor_t *resource, char *propName)
| Get a property with name 'propName' from the resource 'resource' This funciont looks inside the resource descriptor passed as first parameter for a parameter called 'propName'.

## Define Documentation

#define JS_ARG_CREATE_REPORTUNIT "CREATE_REPORTUNIT_BOOLEAN"

Definition at line 144 of file repository.h.

#define JS_ARG_IC_GET_QUERY_DATA "IC_GET_QUERY_DATA"

Definition at line 146 of file repository.h.

#define JS_ARG_LIST_DATASOURCES "LIST_DATASOURCES"

Definition at line 145 of file repository.h.

#define JS_ARG_MODIFY_REPORTUNIT "MODIFY_REPORTUNIT_URI"

Definition at line 143 of file repository.h.

#define JS_ARG_RUN_OUTPUT_FORMAT "RUN_OUTPUT_FORMAT"

Definition at line 149 of file repository.h.

#define JS_ARG_RUN_OUTPUT_FORMAT_CSV "CSV"

Definition at line 155 of file repository.h.

#define JS_ARG_RUN_OUTPUT_FORMAT_HTML "HTML"

Definition at line 152 of file repository.h.

#define JS_ARG_RUN_OUTPUT_FORMAT_JRPRINT "JRPRINT"

Definition at line 151 of file repository.h.

#define JS_ARG_RUN_OUTPUT_FORMAT_PDF "PDF"

Definition at line 150 of file repository.h.

#define JS_ARG_RUN_OUTPUT_FORMAT_RTF "RTF"

Definition at line 156 of file repository.h.

#define JS_ARG_RUN_OUTPUT_FORMAT_XLS "XLS"

Definition at line 153 of file repository.h.

#define JS_ARG_RUN_OUTPUT_FORMAT_XML "XML"

Definition at line 154 of file repository.h.

#define JS_ARG_RUN_OUTPUT_IMAGES_URI "IMAGES_URI"

Definition at line 157 of file repository.h.

#define JS_ARG_RUN_OUTPUT_PAGE "PAGE"

Definition at line 158 of file repository.h.

#define JS_ARG_VALUE_FALSE "false"

Definition at line 148 of file repository.h.

#define JS_ARG_VALUE_TRUE "true"

Definition at line 147 of file repository.h.

#define JS_DT_TYPE_DATE 3

Definition at line 55 of file repository.h.

#define JS_DT_TYPE_DATE_TIME 4

Definition at line 56 of file repository.h.

#define JS_DT_TYPE_NUMBER 2

Definition at line 54 of file repository.h.

#define JS_DT_TYPE_TEXT 1

These constants are copied here from DataType for facility

Definition at line 53 of file repository.h.

#define JS_IC_TYPE_BOOLEAN 1

These constants are copied here from InputControl for facility

Definition at line 61 of file repository.h.

#define JS_IC_TYPE_MULTI_SELECT_LIST_OF_VALUES 6

Definition at line 66 of file repository.h.

#define JS_IC_TYPE_MULTI_SELECT_LIST_OF_VALUES_CHECKBOX 10

Definition at line 71 of file repository.h.

#define JS_IC_TYPE_MULTI_SELECT_QUERY 7

Definition at line 67 of file repository.h.

#define JS_IC_TYPE_MULTI_SELECT_QUERY_CHECKBOX 11

Definition at line 72 of file repository.h.

#define JS_IC_TYPE_MULTI_VALUE 5

Definition at line 65 of file repository.h.

#define JS_IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES 3

Definition at line 63 of file repository.h.

#define JS_IC_TYPE_SINGLE_SELECT_LIST_OF_VALUES_RADIO 8

Definition at line 69 of file repository.h.

#define JS_IC_TYPE_SINGLE_SELECT_QUERY 4

Definition at line 64 of file repository.h.

#define JS_IC_TYPE_SINGLE_SELECT_QUERY_RADIO 9

Definition at line 70 of file repository.h.

#define JS_IC_TYPE_SINGLE_VALUE 2

Definition at line 62 of file repository.h.

#define JS_OPERATION_CHECK_DEPENDS "checkForDependentResources"

Definition at line 166 of file repository.h.

#define JS_OPERATION_GET "get"

Definition at line 164 of file repository.h.

#define JS_OPERATION_LIST "list"

Definition at line 162 of file repository.h.

#define JS_OPERATION_PUT "put"

Definition at line 163 of file repository.h.

#define JS_OPERATION_RUN_REPORT "runReport"

Definition at line 161 of file repository.h.

#define JS_PROP_CREATION_DATE "PROP_CREATION_DATE"

Definition at line 77 of file repository.h.

#define JS_PROP_DATASOURCE_BEAN_METHOD "PROP_DATASOURCE_BEAN_METHOD"

Definition at line 93 of file repository.h.

#define JS_PROP_DATASOURCE_BEAN_NAME "PROP_DATASOURCE_BEAN_NAME"

Definition at line 92 of file repository.h.

#define JS_PROP_DATASOURCE_CONNECTION_URL "PROP_DATASOURCE_CONNECTION_URL"

Definition at line 88 of file repository.h.

#define JS_PROP_DATASOURCE_DRIVER_CLASS "PROP_DATASOURCE_DRIVER_CLASS"

Definition at line 87 of file repository.h.

#define JS_PROP_DATASOURCE_JNDI_NAME "PROP_DATASOURCE_JNDI_NAME"

Definition at line 91 of file repository.h.

#define JS_PROP_DATASOURCE_PASSWORD "PROP_DATASOURCE_PASSWORD"

Definition at line 90 of file repository.h.

#define JS_PROP_DATASOURCE_USERNAME "PROP_DATASOURCE_USERNAME"

Definition at line 89 of file repository.h.

#define JS_PROP_DATATYPE_MAX_VALUE "PROP_DATATYPE_MAX_VALUE"

Definition at line 106 of file repository.h.

#define JS_PROP_DATATYPE_MIN_VALUE "PROP_DATATYPE_MIN_VALUE"

Definition at line 105 of file repository.h.

#define JS_PROP_DATATYPE_PATTERN "PROP_DATATYPE_PATTERN"

Definition at line 107 of file repository.h.

#define JS_PROP_DATATYPE_STRICT_MAX "PROP_DATATYPE_STRICT_MAX"

Definition at line 103 of file repository.h.

#define JS_PROP_DATATYPE_STRICT_MIN "PROP_DATATYPE_STRICT_MIN"

Definition at line 104 of file repository.h.

#define JS_PROP_DATATYPE_TYPE "PROP_DATATYPE_TYPE"

Definition at line 108 of file repository.h.

#define JS_PROP_FILERESOURCE_HAS_DATA "PROP_HAS_DATA"

Definition at line 81 of file repository.h.

#define JS_PROP_FILERESOURCE_IS_REFERENCE "PROP_IS_REFERENCE"

Definition at line 82 of file repository.h.

#define JS_PROP_FILERESOURCE_REFERENCE_URI "PROP_REFERENCE_URI"

Definition at line 83 of file repository.h.

#define JS_PROP_FILERESOURCE_WSTYPE "PROP_WSTYPE"

Definition at line 84 of file repository.h.

#define JS_PROP_INPUTCONTROL_IS_MANDATORY "PROP_INPUTCONTROL_IS_MANDATORY"

Definition at line 118 of file repository.h.

#define JS_PROP_INPUTCONTROL_IS_READONLY "PROP_INPUTCONTROL_IS_READONLY"

Definition at line 119 of file repository.h.

#define JS_PROP_INPUTCONTROL_TYPE "PROP_INPUTCONTROL_TYPE"

Definition at line 117 of file repository.h.

#define JS_PROP_LOV "PROP_LOV"

Definition at line 111 of file repository.h.

#define JS_PROP_LOV_LABEL "PROP_LOV_LABEL"

Definition at line 112 of file repository.h.

#define JS_PROP_LOV_VALUE "PROP_LOV_VALUE"

Definition at line 113 of file repository.h.

#define JS_PROP_PARENT_FOLDER "PROP_PARENT_FOLDER"

Definition at line 75 of file repository.h.

#define JS_PROP_QUERY "PROP_QUERY"

Definition at line 122 of file repository.h.

#define JS_PROP_QUERY_DATA "PROP_QUERY_DATA"

Definition at line 130 of file repository.h.

#define JS_PROP_QUERY_DATA_ROW "PROP_QUERY_DATA_ROW"

Definition at line 131 of file repository.h.

#define JS_PROP_QUERY_DATA_ROW_COLUMN "PROP_QUERY_DATA_ROW_COLUMN"

Definition at line 132 of file repository.h.

#define JS_PROP_QUERY_LANGUAGE "PROP_QUERY_LANGUAGE"

Definition at line 126 of file repository.h.

#define JS_PROP_QUERY_VALUE_COLUMN "PROP_QUERY_VALUE_COLUMN"

Definition at line 125 of file repository.h.

#define JS_PROP_QUERY_VISIBLE_COLUMN_NAME "PROP_QUERY_VISIBLE_COLUMN_NAME"

Definition at line 124 of file repository.h.

#define JS_PROP_QUERY_VISIBLE_COLUMNS "PROP_QUERY_VISIBLE_COLUMNS"

Definition at line 123 of file repository.h.

#define JS_PROP_REFERENCE_URI "PROP_REFERENCE_URI"

Definition at line 78 of file repository.h.

#define JS_PROP_RESOURCE_TYPE "PROP_RESOURCE_TYPE"

Definition at line 76 of file repository.h.

#define JS_PROP_RU_DATASOURCE_TYPE "PROP_RU_DATASOURCE_TYPE"

Definition at line 97 of file repository.h.

#define JS_PROP_RU_INPUTCONTROL_RENDERING_VIEW "PROP_RU_INPUTCONTROL_RENDERING_VIEW"

Definition at line 99 of file repository.h.

#define JS_PROP_RU_IS_MAIN_REPORT "PROP_RU_IS_MAIN_REPORT"

Definition at line 98 of file repository.h.

#define JS_PROP_RU_REPORT_RENDERING_VIEW "PROP_RU_REPORT_RENDERING_VIEW"

Definition at line 100 of file repository.h.

#define JS_PROP_VERSION "PROP_VERSION"

Definition at line 74 of file repository.h.

#define JS_PROP_XMLA_CATALOG "PROP_XMLA_CATALOG"

Definition at line 137 of file repository.h.

#define JS_PROP_XMLA_DATASOURCE "PROP_XMLA_DATASOURCE"

Definition at line 138 of file repository.h.

#define JS_PROP_XMLA_PASSWORD "PROP_XMLA_PASSWORD"

Definition at line 140 of file repository.h.

#define JS_PROP_XMLA_URI "PROP_XMLA_URI"

Definition at line 136 of file repository.h.

#define JS_PROP_XMLA_USERNAME "PROP_XMLA_USERNAME"

Definition at line 139 of file repository.h.

#define JS_TYPE_CLASS_JAR "jar"

Definition at line 36 of file repository.h.

#define JS_TYPE_DATA_TYPE "dataType"

Definition at line 40 of file repository.h.

#define JS_TYPE_DATASOURCE "datasource"

Definition at line 29 of file repository.h.

#define JS_TYPE_DATASOURCE_BEAN "bean"

Definition at line 32 of file repository.h.

#define JS_TYPE_DATASOURCE_JDBC "jdbc"

Definition at line 30 of file repository.h.

#define JS_TYPE_DATASOURCE_JNDI "jndi"

Definition at line 31 of file repository.h.

#define JS_TYPE_FOLDER "folder"

Definition at line 27 of file repository.h.

#define JS_TYPE_FONT "font"

Definition at line 34 of file repository.h.

#define JS_TYPE_IMAGE "img"

Definition at line 33 of file repository.h.

#define JS_TYPE_INPUT_CONTROL "inputControl"

Definition at line 39 of file repository.h.

#define JS_TYPE_JRXML "jrxml"

Definition at line 35 of file repository.h.

#define JS_TYPE_LOV "lov"

Definition at line 46 of file repository.h.

#define JS_TYPE_MONDRIAN_SCHEMA "olapMondrianSchema"

Definition at line 43 of file repository.h.

#define JS_TYPE_OLAP_MONDRIAN_CONNECTION "olapMondrianCon"

Definition at line 41 of file repository.h.

#define JS_TYPE_OLAP_XMLA_CONNECTION "olapXmlaCon"

Definition at line 42 of file repository.h.

#define JS_TYPE_QUERY "query"

Definition at line 47 of file repository.h.

#define JS_TYPE_REFERENCE "reference"

Definition at line 38 of file repository.h.

#define JS_TYPE_REPORTUNIT "reportUnit"

Definition at line 28 of file repository.h.

#define JS_TYPE_RESOURCE_BUNDLE "prop"

Definition at line 37 of file repository.h.

#define JS_TYPE_UNKNOW "unknow"

Definition at line 45 of file repository.h.

#define JS_TYPE_XMLA_CONNTCTION "xmlaConnection"

Definition at line 44 of file repository.h.

## Typedef Documentation

typedef jasperserver_parameter_t jasperserver_argument_t

jasperserver_argument_t stores informations about an argument for a request. The type derives from the parameter struct

See also:
  jasperserver_parameter_t

Definition at line 217 of file repository.h.

typedef jasperserver_parameter_t jasperserver_list_item_t

jasperserver_list_item_t stores informations about a list item. The type derives from the parameter struct

See also:
  jasperserver_parameter_t

Definition at line 210 of file repository.h.

jasperserver_list_t

See also:
  jasperserver_list_append, jasperserver_list_free

typedef struct jasperserver_operation_result jasperserver_operation_result_t

jasperserver_parameter_t

jasperserver_request_t

jasperserver_resource_descriptor_t

jasperserver_resource_property_t

jasperserver_server_t

## Function Documentation

void jasperserver_argument_free | ( | void * | argument | ) |

Free an argument.

Free the memory allocated using jasperserver_argument_new.

Parameters:

  | argument | The argument to free (jasperserver_argument_t * assumed)

See also:
  jasperserver_argument_new()

Definition at line 118 of file repository.c.

jasperserver_argument_t* jasperserver_argument_new | ( |  | ) |

Instance a new argument.

This function initializes the argument.

It is responsability of the user free the memory allocated by this function using jasperserver_argument_free()

Returns:
  a pointer to a new argument

See also:
  jasperserver_argument_free()

Definition at line 97 of file repository.c.

jasperserver_resource_property_t* jasperserver_get_property | ( | jasperserver_resource_descriptor_t * | resource,
|  | char * | propName |
| ) |  |  |

Get a property with name 'propName' from the resource 'resource' This funciont looks inside the resource descriptor passed as first parameter for a parameter called 'propName'.

Parameters:

  | inputcontrol | The resource in which look for the property
  | propName | The name of the property to look for

Returns:
  The found property or NULL if a property with such name is not found.

Warning:
  Since the property returned belongs to the parent resource, DO NOT free the property by yourself.

See also:
  jasperserver_get_property_value()

Definition at line 434 of file repository.c.

jasperserver_string_t* jasperserver_get_property_value | ( | jasperserver_resource_descriptor_t * | resource,
|  | char * | propName |
| ) |  |  |

Get the value of a property with name 'propName' from the resource 'resource' This funciont looks inside the resource descriptor passed as first parameter for a parameter called 'propName' and if found, return the property value.

Parameters:

  | resource | The resource in which look for the property
  | propName | The name of the property to look for

Returns:
  The value of the property or NULL if a property with such name is not found.

Warning:
  Since the value of the property returned belongs to the parent resource, DO NOT free the property value by yourself.

See also:
  jasperserver_get_property()

Definition at line 449 of file repository.c.

void jasperserver_list_append | ( | jasperserver_list_t ** | list,
|  | jasperserver_list_t * | node |
| ) |  |  |

Append node at the end of the list pointed by list.

jasperserver_list_append takes the pointer to a pointer of the first element of a list. If traverse the list up to the end, and add the new node updating the field 'next' of the previous node.

Parameters:

  | list | It is a pointer to a pointer of a list
  | node | the element to append

Definition at line 361 of file repository.c.

void jasperserver_list_free | ( | jasperserver_list_t * | list,
|  | void(*)(void *) | freeFunc |
| ) |  |  |

This is a quick way to free an entire list of elements.

jasperserver_list_free takes a pointer to list and call itself on list->next. Each node is freed using the function passed. Example:

        jasperserver_list_free( (jasperserver_list_t *)request->arguments, jasperserver_argument_free);

Parameters:

  | list | It is a pointer to a list
  | freeFunc | the address of the function to use to free each node

Definition at line 39 of file repository.c.

void jasperserver_operation_result_free | ( | void * | op_ptr | ) |

Free a operation_result.

Free the memory allocated using jasperserver_operation_result_new.

This method frees recursively all the elements of the operation_result and relative lists.

Parameters:

  | operation_result | The operation_result to free (jasperserver_operation_result_t* assumed)

See also:
  jasperserver_operation_result_new()

Definition at line 291 of file repository.c.

jasperserver_operation_result_t* jasperserver_operation_result_new | ( |  | ) |

Instance a new operation_result.

This function initializes the operation_result.

It is responsability of the user free the memory allocated by this function using jasperserver_operation_result_free()

Returns:
  a pointer to a new operation_result

See also:
  jasperserver_operation_result_free()

Definition at line 271 of file repository.c.

void jasperserver_parameter_free | ( | void * | parameter | ) |

Free a parameter.

Free the memory allocated using jasperserver_parameter_new.

This method frees recursively all the elements of the parameter and relative lists.

Parameters:

  | parameter | The parameter to free (jasperserver_parameter_t* assumed)

See also:
  jasperserver_parameter_new()

Definition at line 264 of file repository.c.

jasperserver_parameter_t* jasperserver_parameter_new | ( |  | ) |

Instance a new parameter.

This function initializes the parameter.

It is responsability of the user free the memory allocated by this function using jasperserver_parameter_free()

Returns:
  a pointer to a new parameter

See also:
  jasperserver_parameter_free()

Definition at line 257 of file repository.c.

void jasperserver_print_resource_descriptor | ( | jasperserver_resource_descriptor_t * | rd,
|  | int | depth |
| ) |  |  |

Print a resource descriptor.

Useful to debug.

Parameters:

  | rd | A valid resource descriptor
  | depth | Spaces to add on the start of the line

void jasperserver_request_free | ( | jasperserver_request_t * | request | ) |

Free a request.

Free the memory allocated using jasperserver_request_new.

This method frees recursively all the elements of the request and relative lists.

Parameters:

  | request | The request to free

See also:
  jasperserver_request_new()

Definition at line 70 of file repository.c.

jasperserver_request_t* jasperserver_request_new | ( |  | ) |

Instance a new request.

This function initializes the request. The resource field is set to NULL, the operation is set to OPERATION_LIST, locale is set to "en" and arguments to NULL.

It is responsability of the user free the memory allocated by this function using jasperserver_request_free()

Returns:
  a pointer to a new request

See also:
  jasperserver_request_free()

Definition at line 49 of file repository.c.

void jasperserver_resource_descriptor_free | ( | void * | resource_descriptor | ) |

Free a resource_descriptor.

Free the memory allocated using jasperserver_resource_descriptor_new.

This method frees recursively all the elements of the resource_descriptor and relative lists.

Parameters:

  | resource_descriptor | The resource_descriptor to free (jasperserver_resource_descriptor_t * assumed)

See also:
  jasperserver_resource_descriptor_new()

Definition at line 173 of file repository.c.

jasperserver_resource_descriptor_t* jasperserver_resource_descriptor_new | ( |  | ) |

Instance a new resource_descriptor.

This function initializes the resource_descriptor.

It is responsability of the user free the memory allocated by this function using jasperserver_resource_descriptor_free()

Returns:
  a pointer to a new resource_descriptor

See also:
  jasperserver_resource_descriptor_free()

Definition at line 137 of file repository.c.

void jasperserver_resource_property_free | ( | void * | resource_property | ) |

Free a resource_property.

Free the memory allocated using jasperserver_resource_property_new.

This method frees recursively all the elements of the resource_property and relative lists.

Parameters:

  | resource_property | The resource_property to free (jasperserver_resource_property_t* assumed)

See also:
  jasperserver_resource_property_new()

Definition at line 233 of file repository.c.

jasperserver_resource_property_t* jasperserver_resource_property_new | ( |  | ) |

Instance a new resource_property.

This function initializes the resource_property.

It is responsability of the user free the memory allocated by this function using jasperserver_resource_property_free()

Returns:
  a pointer to a new resource_property

See also:
  jasperserver_resource_property_free()

Definition at line 212 of file repository.c.

void jasperserver_server_free | ( | void * | op_ptr | ) |

Definition at line 337 of file repository.c.

jasperserver_server_t* jasperserver_server_new | ( |  | ) |

Instance a new server.

This function initializes the server.

It is responsability of the user free the memory allocated by this function using jasperserver_server_free()

Returns:
  a pointer to a new server

See also:
  jasperserver_server_free()

Definition at line 316 of file repository.c.